> ## Documentation Index
> Fetch the complete documentation index at: https://docs.layerfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Download bank statement



## OpenAPI

````yaml post /v1/businesses/{businessId}/plaid/items/{plaidItemId}/statements/{statementId}
openapi: 3.0.1
info:
  title: API
  version: latest
servers: []
security:
  - BearerAuth: []
tags: []
externalDocs:
  url: /
paths:
  /v1/businesses/{businessId}/plaid/items/{plaidItemId}/statements/{statementId}:
    post:
      summary: Download bank statement
      operationId: business.plaid.statements.download
      parameters:
        - name: businessId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: plaidItemId
          in: path
          required: true
          schema:
            type: string
        - name: statementId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/S3PresignedUrl'
                required:
                  - data
              example:
                data:
                  type: S3_Presigned_Url
                  presignedUrl: >-
                    https://example-bucket.s3.amazonaws.com/statement.pdf?signature=example
                  fileType: application/pdf
                  fileName: plaid-statement-plaid-statement-id.pdf
                  createdAt: '2026-10-16T12:00:00Z'
                  documentId: a8c40b04-d074-41db-8de5-801d4846ea6b
                  document_type: BANK_STATEMENT
        '400':
          description: Bad Request
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '429':
          description: Too Many Requests
        '500':
          description: Internal Server Error
components:
  schemas:
    S3PresignedUrl:
      type: object
      properties:
        type:
          type: string
          description: Resource type. Value will be 'S3_Presigned_Url'.
          example: S3_Presigned_Url
        presignedUrl:
          type: string
          description: Pre-signed URL to download a document.
          example: >
            https://example-bucket.s3.amazonaws.com/example-object?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=FAKEAWSACCESSKEY%2F20240710%2Fus-west-1%2Fs3%2Faws4_request&X-Amz-Date=20240710T000000Z&X-Amz-Expires=3600&X-Amz-SignedHeaders=host&X-Amz-Signature=FAKESIGNATURE1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef
        fileType:
          type: string
          description: The file type of the document.
          example: csv
        fileName:
          type: string
          description: The name of the file.
          example: receipt.pdf
        createdAt:
          type: string
          format: date-time
          description: When the document or generated file was created.
        documentId:
          type: string
          format: uuid
          nullable: true
          description: >-
            The ID of the stored document. Present when this URL is for a stored
            business document; omitted for generated downloads such as report
            CSV/XLSX exports.
        document_type:
          $ref: '#/components/schemas/DocumentType'
          description: >-
            The type of the stored document. Included on fetch document and on
            nested `presigned_url` objects from list documents. Omitted for
            generated report CSV/XLSX downloads.
          nullable: true
      required:
        - presignedUrl
        - fileType
        - fileName
        - createdAt
      description: A pre-signed URL to download a document or generated file.
    DocumentType:
      type: string
      enum:
        - RECEIPT
        - BANK_STATEMENT
        - UNSTRUCTURED_BOOKKEEPING_CONTEXT
        - OTHER
      description: >-
        The type of document. RECEIPT is for receipts and invoices.
        UNSTRUCTURED_BOOKKEEPING_CONTEXT is for general bookkeeping context
        documents. OTHER is for any other document type.
      example: RECEIPT
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.